#!/bin/bash

_install() {
    if [[ $VMFLAG = 1 ]];then
        return 0
    fi
}

_check() {
	_check="PASS"

    if [[ $VMFLAG = 1 || $ARCH = 'aarch64' ]];then
            return 0
    fi

    lscpu | grep 'Model name:' | grep -q 3204 && return 0

	local ht=$(lscpu |grep 'Thread(s) per core'|awk '{print $4}')
	if [ $ht -eq 1 ];then
        _check="FAIL"
		PRINT_ERR "[ERROR] Hyper-Threading Not Enable, Check BIOS Config."
	fi
}
